Bug 227166 - mail/cyrus-imapd30: Fix build with LibreSSL 2.7
Summary: mail/cyrus-imapd30: Fix build with LibreSSL 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hajimu UMEMOTO
URL: https://github.com/cyrusimap/cyrus-im...
Keywords: needs-qa, patch
Depends on:
Blocks: 226843
  Show dependency treegraph
 
Reported: 2018-04-01 10:06 UTC by Bernard Spil
Modified: 2018-04-08 02:18 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (ume)


Attachments
svn diff for mail/cyrus-imapd30 (1.40 KB, patch)
2018-04-01 10:06 UTC, Bernard Spil
no flags Details | Diff
svn diff for mail/cyrus-imapd30 (1.40 KB, patch)
2018-04-01 10:10 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2018-04-01 10:06:10 UTC
Created attachment 192045 [details]
svn diff for mail/cyrus-imapd30

```
mail/cyrus-imapd30: Fix build with LibreSSL

 - LibreSSL 2.7 implements OpenSSL 1.1 API
 - Don't hard-depend on a Kerberos implementation

PR: 
Approved by: (maintainer)
```
Comment 1 Bernard Spil freebsd_committer 2018-04-01 10:10:40 UTC
Created attachment 192046 [details]
svn diff for mail/cyrus-imapd30

Fix typo
Comment 2 Bernard Spil freebsd_committer 2018-04-02 18:03:35 UTC
Upstream pull-request for this https://github.com/cyrusimap/cyrus-imapd/pull/2305
Comment 3 commit-hook freebsd_committer 2018-04-08 02:13:58 UTC
A commit references this bug:

Author: ume
Date: Sun Apr  8 02:13:01 UTC 2018
New revision: 466767
URL: https://svnweb.freebsd.org/changeset/ports/466767

Log:
  Fix build with LibreSSL 2.7

  PR:		227166
  Submitted by:	brnrd

Changes:
  head/mail/cyrus-imapd30/files/patch-imap__tls.c
Comment 4 Hajimu UMEMOTO freebsd_committer 2018-04-08 02:18:00 UTC
Thank you for the patch.
I've committed it.
BTW, cyrus-imapd30 has been supprting not to link Kerberos, already.